zip_entry_open
zip_open
Zip Functions
PHP Manual

# zip_entry_read

Read from an open directory entry

### Description

string zip_entry_read ( resource `$zip_entry` [, int `$length` = 1024 ] )

Reads from an open directory entry.

### Parameters

`zip_entry`

  A directory entry returned by zip_read.

`length`

  The number of bytes to return.

  > Note:

  > This should be the uncompressed length you wish to read.

### Return Values

Returns the data read, empty string on end of a file, or `FALSE` on error.

### See Also

- zip_entry_open
- zip_entry_close
- zip_entry_filesize